Bug 209760 - dns/zkt: Update to 1.1.4
Summary: dns/zkt: Update to 1.1.4
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-05-26 10:49 UTC by Kurt Jaeger
Modified: 2018-01-13 20:19 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (frank)


Attachments
patch (1.10 KB, patch)
2016-05-26 10:49 UTC, Kurt Jaeger
no flags Details | Diff
maintainers approved patch for zkt 1.1.4 (1.29 KB, patch)
2016-05-29 15:59 UTC, Frank Behrens
vlad-fbsd: maintainer-approval? (frank)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2016-05-26 10:49:37 UTC
Created attachment 170671 [details]
patch

testbuilds on 11a, 10.3a+i, 9.3a are fine, portlint is happy.

- changes RUN_DEPENDS from bind99 to bind910
- other bug fixes
- Bug fix in BIND version parsing (9.10.0 was parsed as 9.1.0)
- Option -e in keygen is removed

TODO: fix build/dependencies for zkt-delegate
Comment 1 Dmitry Marakasov freebsd_committer 2016-05-27 15:57:12 UTC
I think bind version should be optionized. Many people still use 9.9
Comment 2 Frank Behrens 2016-05-29 15:59:09 UTC
Created attachment 170795 [details]
maintainers approved patch for zkt 1.1.4

I approve the patch with one additional, minor change - change my e-mail address.
See the uploaded patch!

Best regards,
    Frank

Frank Behrens, maintainer
Comment 3 VK freebsd_triage 2016-05-29 16:49:48 UTC
Comment on attachment 170795 [details]
maintainers approved patch for zkt 1.1.4

Frank, thank you, but please use the email address listed under MAINTAINER for the port, when approving patches for your ports, and PRs requesting your feedback, as well as changing your MAINTAINER email address.
Comment 4 VK freebsd_triage 2016-06-12 14:10:16 UTC
Frank, I am sorry if I haven't been helpful enough with my last comment. See, the problem is that without having synced email addresses between Bugzilla accounts and what is listed under port's MAINTAINER, it is difficult to automate maintainer requests and approvals, which creates an unnecessary burden to track such issues.

In this case, and the reason I requested you sync them up, there are three addresses involved, your old which you're changing (and the official recommendation is to send email address changes from your old address), your new in the patch and the third one for your BZ account.

So it would be best if you could sync your BZ and MAINTAINER addresses to be the same.

Kurt, if you think the above patch can be applied meanwhile, please do so, please don't allow my possibly too strict triage decision hold this back. :)
Comment 5 Kurt Jaeger freebsd_committer 2016-06-12 14:12:06 UTC
amdmi3's suggestion to add options is holding this up, did not find time to study this. Anyone with spare time, please submit a patch 8-}
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-01-13 20:19:09 UTC
ping!